<?xml version="1.0"?>
<!-- This file is part of Tryton.  The COPYRIGHT file at the top level of
this repository contains the full copyright notices and license terms. -->
<tryton>
    <data>
        <record model="ir.ui.view" id="shipment_in_view_form">
            <field name="model">stock.shipment.in</field>
            <field name="inherit" ref="stock.shipment_in_view_form"/>
            <field name="name">shipment_in_form</field>
        </record>
        <record model="ir.ui.view" id="shipment_internal_view_form">
            <field name="model">stock.shipment.internal</field>
            <field name="inherit" ref="stock.shipment_internal_view_form"/>
            <field name="name">shipment_internal_form</field>
        </record>
        <record model="ir.ui.view" id="move_view_form">
            <field name="model">stock.move</field>
            <field name="inherit" ref="stock.move_view_form"/>
            <field name="name">move_form</field>
        </record>
        <record model="ir.ui.view" id="move_view_list_shipment_in">
            <field name="model">stock.move</field>
            <field name="inherit" ref="stock.move_view_list_shipment_in"/>
            <field name="name">move_list_shipment_in</field>
        </record>
        <record model="ir.ui.view" id="shipment_out_view_form">
            <field name="model">stock.shipment.out</field>
            <field name="inherit" ref="stock.shipment_out_view_form"/>
            <field name="name">shipment_out_form</field>
        </record>
        <record model="ir.ui.view" id="move_view_list_shipment_out">
            <field name="model">stock.move</field>
            <field name="inherit" ref="stock.move_view_list_shipment"/>
            <field name="name">move_list_shipment_out</field>
        </record>

        <record model="ir.ui.view" id="shipment_container_view_tree">
            <field name="model">stock.shipment.container</field>
            <field name="type">tree</field>
            <field name="name">shipment_container_tree</field>
        </record>

        <record model="ir.ui.view" id="shipment_wr_view_tree">
            <field name="model">shipment.wr</field>
            <field name="type">tree</field>
            <field name="name">shipment_wr_tree</field>
        </record> 

        <record model="ir.action.wizard" id="act_vf">
            <field name="name">🚢 Find vessel</field>
            <field name="wiz_name">stock.shipment.in.vf</field>
            <field name="model">stock.shipment.in</field>
        </record>
        <record model="ir.action.keyword" id="act_vf_keyword">
            <field name="keyword">form_action</field>
            <field name="model">stock.shipment.in,-1</field>
            <field name="action" ref="act_vf"/>
        </record>
        <record model="ir.action.url" id="url_vessel_finder">
            <field name="name">Find Vessel</field>
            <field name="url">https://www.vesselfinder.com</field>
        </record>

        <record model="ir.action.wizard" id="act_update_sof">
            <field name="name">Update with SoF PDF</field>
            <field name="wiz_name">sof.update</field>
            <field name="model">stock.shipment.in</field>
        </record>

        <record model="ir.action.wizard" id="act_import_sof">
            <field name="name">Import SoF PDF</field>
            <field name="wiz_name">sof.import</field>
            <field name="model">stock.shipment.in</field>
        </record>
        <record model="ir.action.keyword" id="act_sof_keyword">
            <field name="keyword">form_action</field>
            <field name="model">stock.shipment.in,-1</field>
            <field name="action" ref="act_import_sof"/>
        </record>

        <record model="ir.ui.view" id="view_sof_import_start">
            <field name="model">import.s</field>
            <field name="type">form</field>
            <field name="name">sof_start</field>
        </record>

        <record model="ir.ui.view" id="view_form_sof">
            <field name="model">sof.statement</field>
            <field name="type">form</field>
            <field name="name">sof_form</field>
        </record>

        <record model="ir.ui.view" id="view_list_sof">
            <field name="model">sof.statement</field>
            <field name="type">tree</field>
            <field name="name">sof_list</field>
        </record>

        <record model="ir.ui.view" id="view_sof_event_tree">
            <field name="model">sof.event</field>
            <field name="type">tree</field>
            <field name="name">sof_event_tree</field>
        </record>

        <record model="ir.ui.view" id="view_sof_event_form">
            <field name="model">sof.event</field>
            <field name="type">form</field>
            <field name="name">sof_event_form</field>
        </record>

        <record model="ir.ui.view" id="revaluate_start_view_form">
            <field name="model">account.revaluate.start</field>
            <field name="type">form</field>
            <field name="name">revaluate_start_form</field>
        </record>

        <record model="ir.action.wizard" id="act_revaluate">
            <field name="name">Revaluate Accounts</field>
            <field name="wiz_name">account.revaluate</field>
            <field name="window" eval="True"/>
        </record>
        <menuitem
            parent="account.menu_processing"
            action="act_revaluate"
            sequence="25"
            id="menu_revaluate"/>

    </data>
</tryton>